I would like to install the latest J2RE on my Fedora 64 bit system. There are a couple of options:

j2re-1_4_2-linux-i586-rpm.bin
j2re-1_4_2-solaris-sparcv9.sh - Solaris 64 bit

The first file is i586. Will that run on a 64 bit linux system. The second file I have listed says it is for solaris, but it is for a 64 bit system, will it run on linux? Thanks.